SRDS.com System Requirements

The new SRDS multimedia planning platform (next.srds.com) is certified for use with the following operating systems and browsers.

SRDS does not support any previous OS or browser version.





Additional operating systems and browsers will be certified in the near future. If you have questions about system requirements, or have discovered unexpected behavior in your browser, please let us know at next@srds.com.